/*
  Copyright 2010 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KISSPANEL_H
#define KISSPANEL_H

#include <wx/wx.h>
#include <wx/scrolwin.h>
#include <wx/bmpbuttn.h>

class wxUI;
class KissCount;

class KissPanel: public wxScrolledWindow
{
public:
    KissPanel(KissCount* kiss, wxUI* parent) : 
    wxScrolledWindow((wxFrame*)parent), 
        _kiss(kiss), 
        _wxUI(parent),
        _KissButton(NULL)
        {Hide();}

    virtual void OnShow(wxShowEvent& event)=0;
    virtual KissPanel* CreatePanel()=0;
    virtual wxBitmapButton* GetButton(int id) {return NULL;}
    virtual wxString GetToolTip() {return wxT("");}

protected:
    KissCount* _kiss;
    wxUI* _wxUI;
    wxBitmapButton* _KissButton;
};

#endif
