#!/bin/bash

DATE=`date +%d.%m.%Y`
ARCH=`uname -m`
VERSION=`cat src/controller/KissCount.h | grep APP_VERSION | cut -d\" -f2`
DIR="KissCount_build_${VERSION}_${DATE}_${ARCH}"
FILE="$DIR.tar.bz2"

rm -f "$FILE"
rm -rf "$DIR"
if [ "$1" == "clean" ] ; then
make clean
fi
make || (echo "Compilation failed" ; exit 1)
mkdir -p "$DIR"/lib
cp -r lib/freechart/lib/*.so* lib/wxsqlite3-1.9.9/lib/*.so* "$DIR"/lib
cp -r kc init.sql ressources tools/launch_kc.sh TODO CONTRIBUTORS COPYING README README.fr www "$DIR"
find "$DIR" -type f -executable -exec strip \{\} \;
tar -jcf "$FILE" "$DIR"
rm -rf "$DIR"
echo "Packaged !"